org.eclipse.viatra.query.patternlanguage.services

## Class PatternLanguageGrammarAccess.ParameterElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.services.PatternLanguageGrammarAccess.ParameterElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    PatternLanguageGrammarAccess

      public class PatternLanguageGrammarAccess.ParameterElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_3()`
    `org.eclipse.xtext.Keyword` | `getColonKeyword_3_0_0()`
    `org.eclipse.xtext.Keyword` | `getColonKeyword_3_1_0()`
    `org.eclipse.xtext.Assignment` | `getDirectionAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getDirectionParameterDirectionModifierEnumRuleCall_1_0()`
    `org.eclipse.xtext.Group` | `getGroup_3_0()`
    `org.eclipse.xtext.Group` | `getGroup_3_1()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getNameAssignment_2()`
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_2_0()`
    `org.eclipse.xtext.Action` | `getParameterAction_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Assignment` | `getTypeAssignment_3_0_1()`
    `org.eclipse.xtext.Assignment` | `getTypeAssignment_3_1_1()`
    `org.eclipse.xtext.RuleCall` | `getTypeJavaTypeParserRuleCall_3_1_1_0()`
    `org.eclipse.xtext.RuleCall` | `getTypeTypeParserRuleCall_3_0_1_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterElements

          public ParameterElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getParameterAction_0

          public org.eclipse.xtext.Action getParameterAction_0()

    - #### getDirectionAssignment_1

          public org.eclipse.xtext.Assignment getDirectionAssignment_1()

    - #### getDirectionParameterDirectionModifierEnumRuleCall_1_0

          public org.eclipse.xtext.RuleCall getDirectionParameterDirectionModifierEnumRuleCall_1_0()

    - #### getNameAssignment_2

          public org.eclipse.xtext.Assignment getNameAssignment_2()

    - #### getNameIDTerminalRuleCall_2_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_2_0()

    - #### getAlternatives_3

          public org.eclipse.xtext.Alternatives getAlternatives_3()

    - #### getGroup_3_0

          public org.eclipse.xtext.Group getGroup_3_0()

    - #### getColonKeyword_3_0_0

          public org.eclipse.xtext.Keyword getColonKeyword_3_0_0()

    - #### getTypeAssignment_3_0_1

          public org.eclipse.xtext.Assignment getTypeAssignment_3_0_1()

    - #### getTypeTypeParserRuleCall_3_0_1_0

          public org.eclipse.xtext.RuleCall getTypeTypeParserRuleCall_3_0_1_0()

    - #### getGroup_3_1

          public org.eclipse.xtext.Group getGroup_3_1()

    - #### getColonKeyword_3_1_0

          public org.eclipse.xtext.Keyword getColonKeyword_3_1_0()

    - #### getTypeAssignment_3_1_1

          public org.eclipse.xtext.Assignment getTypeAssignment_3_1_1()

    - #### getTypeJavaTypeParserRuleCall_3_1_1_0

          public org.eclipse.xtext.RuleCall getTypeJavaTypeParserRuleCall_3_1_1_0()